{if MODULE_SHOUTBOX && $__wcf->getSession()->getPermission('user.shoutbox.canViewShoutbox')}
<ul id="shoutboxBoxStatus" class="wbbBoardList">
	<li id="sbMain" class="wbbCategory tabularBox tabularBoxTitle wbbBoardNodeTop">
	<header>
		<h2><a href="#">{lang}wbb.shoutbox.title{/lang}</a></h2>
	</header>
	<ul>
		<li class="wbbBoardContainer">
			<div class="wbbBoardNode1 shoutboxPaddingFix">
				<script data-relocate="true" type="text/javascript" src="{@RELATIVE_WCF_DIR}js/Shoutbox.class.js"></script>
				<script data-relocate="true" type="text/javascript">
				//<![CDATA[		
					var shoutboxEntries = new Array();
					{foreach from=$shoutboxEntries item=entry}
						shoutboxEntries.push({
							entryID: {#$entry->entryID},
							userID: {@$entry->userID},
							username: '{@$entry->getFormattedUsername()|encodeJS}',
							time: '{@$entry->time|time|encodeJS}',
							message: '{@$entry->getFormattedMessage()|encodeJS}',
							isDeletable: {$entry->isDeletable()|intval}
						});				
					{/foreach}
		
					// init
					$(window).load(function() {
						shoutbox = new Shoutbox('shoutbox', shoutboxEntries, {TIME_NOW}, {
							entryReloadInterval: 	{SHOUTBOX_RELOAD_INTERVAL},
							entrySortOrder: 	'{SHOUTBOX_ENTRY_SORT_ORDER}',
							unneededUpdateLimit:	{SHOUTBOX_UNNEEDED_UPDATE_LIMIT},
							loadAnimationStyle: '{SHOUTBOX_STYLE_LOAD_ANIMATION}',
							deleteAnimationStyle: '{SHOUTBOX_STYLE_DELETE_ANIMATION}',
							deleteEntrySure: '{lang}wcf.shoutbox.entry.delete.sure{/lang}'
						});
					});
				//]]>
				</script>
				<div id="shoutboxContent">
					{assign var=sortedShoutboxEntries value=$shoutboxEntries|array_reverse}
					{foreach from=$sortedShoutboxEntries item=entry}
						<p id="shoutboxEntry{@$entry->entryID}"><span>[{@$entry->time|time}]</span>{if $entry->isDeletable()} <a title="{lang}wcf.shoutbox.entry.delete{/lang}" onclick="WCF.System.Confirmation.show('{lang}wcf.shoutbox.entry.delete.sure{/lang}', $.proxy(function(action) { if(action==='confirm') { shoutbox.deleteEntry({@$entry->entryID}); } }, this));" class="icon icon16 icon-remove-sign"></a>{/if} {if $entry->userID != 0}<a href="{link controller='User' id=$entry->userID}{/link}" data-user-id="{$entry->userID}">{@$entry->getFormattedUsername()}</a>{else}{@$entry->getFormattedUsername()}{/if}: {@$entry->getFormattedMessage()}</p>
					{/foreach}
				</div>
				{if $__wcf->session->getPermission('user.shoutbox.canAddEntry')}
					{if SHOUTBOX_ENABLE_SMILEY_LIST}
						<div class="invisible" id="shoutboxSmileyContainer">
							<ul class="smileys">{foreach from=$smileys item=smiley}<li><img onmouseover="this.style.cursor='pointer'" onclick="shoutbox.insertSmiley('{$smiley->smileyCode|encodeJS}');" src="{$smiley->getURL()}" alt="" title="{lang}{$smiley->smileyTitle}{/lang}" /></li>{/foreach}</ul>
						</div>
						<div class="clearfix"></div>
					{/if}
					<form method="post" action="{link action="ShoutboxEntryAdd"}{/link}" id="shoutboxEntryAddForm">
						<div id="shoutboxFormLayout-{if $__wcf->user->userID == 0}2{else}1{/if}">
							{if $__wcf->user->userID == 0}
								<input type="text" class="inputText" name="username" id="shoutboxUsername" value="{if $username|empty}{lang}wcf.user.username{/lang}{else}{$username}{/if}" onfocus="if (this.value == '{lang}wcf.user.username{/lang}') this.value='';" onblur="if (this.value == '') this.value = '{lang}wcf.user.username{/lang}'" />
							{/if}
							<input type="text" class="inputText" name="message" id="shoutboxMessage" value="" />
							<a href="#" class="icon icon16 icon-ok-sign" onclick="shoutbox.addEntry(); return false;"></a>
							{@SID_INPUT_TAG}
						</div>
					</form>
				{/if}
			</div>
		</li>
	</ul>
</ul>
{/if}