<?php
// wcf imports
namespace wcf\system\cronjob;
use wcf\data\cronjob\Cronjob;

/**
 * Shoutbox actions
 * 
 * @author	Sonnenspeer
 * @copyright	2013 Sonnenspeer
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 * @package	de.sonnenspeer.shoutbox
 */
class EmptyShoutboxCronjob implements Cronjob {
	/**
	 * @see Cronjob::execute()
	 */
	public function execute($data) {
		if (EMPTY_SHOUTBOX_CYCLE > 0) {
			// delete shoutbox entries
			$sql = "DELETE
				FROM	wcf".WCF_N."_shoutbox_entry
				WHERE	time < ".(TIME_NOW - EMPTY_SHOUTBOX_CYCLE * 86400);
			$statement = WCF::getDB()->prepareStatement($sql);
			$statement->execute();
		}
	}
}
?>